# PhasicFlow: pFlow::sphereParticlesKernels Namespace Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlow::sphereParticlesKernels Namespace Reference

## Functions

void | addMassDiamInertiaProp (deviceViewType1D< uint32 > shapeIndex, deviceViewType1D< real > mass, deviceViewType1D< real > diameter, deviceViewType1D< real > I, deviceViewType1D< uint32 > propertyId, pFlagTypeDevice incld, deviceViewType1D< real > src_mass, deviceViewType1D< real > src_diameter, deviceViewType1D< real > src_I, deviceViewType1D< uint32 > src_propertyId)
void | acceleration (const realx3 &g, const deviceViewType1D< real > &mass, const deviceViewType1D< realx3 > &force, const deviceViewType1D< real > &I, const deviceViewType1D< realx3 > &torque, const pFlagTypeDevice &incld, deviceViewType1D< realx3 > lAcc, deviceViewType1D< realx3 > rAcc)

## Function Documentation

## addMassDiamInertiaProp()

void addMassDiamInertiaProp | ( | deviceViewType1D< uint32 > | shapeIndex,
|  | deviceViewType1D< real > | mass,
|  | deviceViewType1D< real > | diameter,
|  | deviceViewType1D< real > | I,
|  | deviceViewType1D< uint32 > | propertyId,
|  | pFlagTypeDevice | incld,
|  | deviceViewType1D< real > | src_mass,
|  | deviceViewType1D< real > | src_diameter,
|  | deviceViewType1D< real > | src_I,
|  | deviceViewType1D< uint32 > | src_propertyId
| ) |  |

Definition at line 28 of file sphereParticlesKernels.cpp.

References pointFlag< ExecutionSpace >::activeRange(), and LAMBDA_HD.

Here is the call graph for this function:

## acceleration()

void acceleration | ( | const realx3 & | g,
|  | const deviceViewType1D< real > & | mass,
|  | const deviceViewType1D< realx3 > & | force,
|  | const deviceViewType1D< real > & | I,
|  | const deviceViewType1D< realx3 > & | torque,
|  | const pFlagTypeDevice & | incld,
|  | deviceViewType1D< realx3 > | lAcc,
|  | deviceViewType1D< realx3 > | rAcc
| ) |  |

Definition at line 61 of file sphereParticlesKernels.cpp.

References pointFlag< ExecutionSpace >::activeRange(), pointFlag< ExecutionSpace >::isAllActive(), and LAMBDA_HD.

Referenced by sphereParticles::iterate().

Here is the call graph for this function:
Here is the caller graph for this function: